GET
/deploymentstrategies
http://appconfig.{region}.amazonaws.com/deploymentstrategiesLists deployment strategies.
Access Token Required: API Key
Query Params
max_resultsinteger
The maximum number of items to return for this call. The call also returns a token that you can specify in a subsequent call to get the next set of results.
next_tokenstring
A token to start the list. Use this token to get the next set of results.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://appconfig.{region}.amazonaws.com/deploymentstrategies' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}